---
title: "Update resource policy"
url: https://hexelstudio.com/docs/api/ciam-iam/resource-policies/update
---

# Update resource policy

**PATCH** `/resource-policies/{resource_policy_id}`

Update one of the caller's organization's resource policies. A new document's Allow actions must be held by the caller.

## Path parameters

- `resource_policy_id: string`

  Resource Policy ID

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`ResourcePolicy`)

- `created_at: optional string`

- `created_by_user_id: optional string`

- `id: optional string`

- `is_enabled: optional boolean`

- `organization_id: optional string`

- `policy_document: optional array of integer`

- `resource_id: optional string`

- `resource_type: optional string`

- `updated_at: optional string`

## Errors

- `400` Bad Request
- `403` Forbidden
- `404` Not Found

## Example

```bash
curl --request PATCH \
  --url 'https://api.hexelstudio.com/v1/resource-policies/{resource_policy_id}' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
{
  "created_at": "2026-01-01T00:00:00Z",
  "created_by_user_id": "string",
  "id": "string",
  "is_enabled": true,
  "organization_id": "string",
  "policy_document": [
    0
  ],
  "resource_id": "string",
  "resource_type": "string",
  "updated_at": "2026-01-01T00:00:00Z"
}
```

### Response (400)

```json
{
  "key": "string"
}
```

### Response (403)

```json
{}
```

### Response (404)

```json
{
  "key": "string"
}
```
